Subject: bug#21280: test failures: nar, syscalls, containers

From: "Thompson, David" <[email-masked]>
Date: Mon, 17 Aug 2015 11:42:30 -0400

On Sun, Aug 16, 2015 at 11:43 PM, Leo Famulari <[email-masked]> wrote:
> Running `make check` on HEAD ( commit 4e014373 ), I got failures for
> tests/nar.scm, tests/syscalls.scm, and tests/containers.scm.
>
> The same tests also failed when I checked out tag v0.8.3 but I don't
> have those
> logs anymore. Let me know if you want them.
>
> I've attached test-suite.log and the logs for the failed modules.
>
> Let me know if you need more tests.

Thanks for the report.  I'm going to look into the issues with the
container and syscall tests.  Which version of Linux[-libre] are you
using?  It looks like you're using a kernel that doesn't properly
support containers, which we should detect and skip tests accordingly.

- Dave